Skip to main content

Retrieve a collection of FX transactions

GET 

/api/fx_transaction_details

This API endpoint allows you to retrieve a collection of FX transactions, providing you with a list of recent FX transactions. You can use various query parameters to customize your request and filter the results according to your specific needs.

Request

Query Parameters

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 50

    Default value: 30

    The number of items per page

    pagination boolean

    Enable or disable pagination

    currencyFrom string
    currencyTo string
    amountFrom[lt] string
    amountFrom[lte] string
    amountFrom[gt] string
    amountFrom[gte] string
    amountTo[lt] string
    amountTo[lte] string
    amountTo[gt] string
    amountTo[gte] string
    dealDate[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    dealDate[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    dealDate[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    dealDate[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    valueDate[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    valueDate[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    valueDate[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    valueDate[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    order[id] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

Responses

OK - The request was processed successfully.

Schema
  • Array [
  • id integer
    currencyFrom string
    currencyTo string
    amountFrom string
    amountTo string
    direction string

    Possible values: [sell, buy]

    dealDate string
    valueDate string
    type string

    Possible values: [spot, forward]

    spotRate string
    forwardPoints stringnull
    platformRate string
    status string

    Possible values: [created, pending, transferred, canceled]

    fromAutomation boolean
  • ]
Loading...